E-MailRelay

Public Member Functions | Public Attributes | List of all members
GPop::Server::Config Struct Reference

A structure containing GPop::Server configuration parameters. More...

`#include <gpopserver.h>`

## Public Member Functions
| Config (bool, unsigned int port, const G::StringArray &addresses, const GNet::ServerPeerConfig &, const GNet::ServerConfig &, const std::string &sasl_server_config)
Config & | set_allow_remote (bool=true)
Config & | set_port (unsigned int)
Config & | set_addresses (const G::StringArray &)
Config & | set_server_peer_config (const GNet::ServerPeerConfig &)
Config & | set_server_config (const GNet::ServerConfig &)
Config & | set_sasl_server_config (const std::string &)

## Public Attributes
bool | allow_remote {false}
unsigned int | port {110}
G::StringArray | addresses
GNet::ServerPeerConfig | server_peer_config
GNet::ServerConfig | server_config
std::string | sasl_server_config

## Detailed Description

A structure containing GPop::Server configuration parameters.

Definition at line 88 of file gpopserver.h.

## Constructor & Destructor Documentation

## ◆ Config() [1/2]

GPop::Server::Config::Config | ( |  | ) |

Definition at line 135 of file gpopserver.cpp.

## ◆ Config() [2/2]

GPop::Server::Config::Config | ( | bool | allow_remote_,
|  | unsigned int | port,
|  | const G::StringArray & | addresses,
|  | const GNet::ServerPeerConfig & | server_peer_config_,
|  | const GNet::ServerConfig & | server_config_,
|  | const std::string & | sasl_server_config
| ) |  |

Definition at line 140 of file gpopserver.cpp.

## Member Function Documentation

## ◆ set_addresses()

GPop::Server::Config & GPop::Server::Config::set_addresses | ( | const G::StringArray & | a | ) |
| inline

Definition at line 138 of file gpopserver.h.

## ◆ set_allow_remote()

GPop::Server::Config & GPop::Server::Config::set_allow_remote | ( | bool | b = `true` | ) |
| inline

Definition at line 136 of file gpopserver.h.

## ◆ set_port()

GPop::Server::Config & GPop::Server::Config::set_port | ( | unsigned int | p | ) |
| inline

Definition at line 137 of file gpopserver.h.

## ◆ set_sasl_server_config()

GPop::Server::Config & GPop::Server::Config::set_sasl_server_config | ( | const std::string & | s | ) |
| inline

Definition at line 141 of file gpopserver.h.

## ◆ set_server_config()

GPop::Server::Config & GPop::Server::Config::set_server_config | ( | const GNet::ServerConfig & | c | ) |
| inline

Definition at line 140 of file gpopserver.h.

## ◆ set_server_peer_config()

GPop::Server::Config & GPop::Server::Config::set_server_peer_config | ( | const GNet::ServerPeerConfig & | c | ) |
| inline

Definition at line 139 of file gpopserver.h.

## Member Data Documentation

## ◆ addresses

G::StringArray GPop::Server::Config::addresses

Definition at line 92 of file gpopserver.h.

## ◆ allow_remote

bool GPop::Server::Config::allow_remote {false}

Definition at line 90 of file gpopserver.h.

## ◆ port

unsigned int GPop::Server::Config::port {110}

Definition at line 91 of file gpopserver.h.

## ◆ sasl_server_config

std::string GPop::Server::Config::sasl_server_config

Definition at line 95 of file gpopserver.h.

## ◆ server_config

GNet::ServerConfig GPop::Server::Config::server_config

Definition at line 94 of file gpopserver.h.

## ◆ server_peer_config

GNet::ServerPeerConfig GPop::Server::Config::server_peer_config

Definition at line 93 of file gpopserver.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopserver.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopserver.cpp